Bug 808631 - Using gnome-shell under an xguest account results in visual artifacts
Summary: Using gnome-shell under an xguest account results in visual artifacts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-30 22:25 UTC by Jonathan Burgess
Modified: 2013-02-13 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:15:14 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 804114 0 unspecified CLOSED Using gnome-shell under an xguest account results in visual artifacts and a crash 2021-02-22 00:41:40 UTC

Internal Links: 804114

Description Jonathan Burgess 2012-03-30 22:25:30 UTC
Description of problem:
Upon logging into an xguest account and attempting to access one of the menus or other graphics accelerated portions of GNOME, the menus, popups, etc. begin to flicker. 

Version-Release number of selected component (if applicable):
2.1.4

How reproducible:
Install an xguest acccount and login to it. Then attempt to use any portion of gnome-shell that uses 3d acceleration.

Steps to Reproduce:
1.Install xguest
2.Log in to xguest account
3.Attempt to use Activities, status menu, etc.
  
Actual results:
Menus flicker rapidly on the screen.

Expected results:
Menu pops up and remains present and unaltered until the user alters the menu

Additional info:

Comment 1 Miroslav Grepl 2012-04-02 10:24:27 UTC
Is this SELinux issue?

What does

$ setenforce 0

Does it work then?

Comment 2 Jonathan Burgess 2012-04-02 21:10:49 UTC
It is unclear as to what the exact cause is.
It only takes place on the xguest account. You can not turn off SELinux and still use xguest. 

If policycoreutils is too broad, the bug could be assigned to xguest specifically. This does not occur on other accounts on the system.

I know that setsebool -P allow_xguest_exec_content on fixes the crash that is explained in the linked bug, so that leads me to believe that there may be other SELinux issues causing the problem.

Comment 3 Fedora End Of Life 2013-01-16 13:26:44 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 14:15:17 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.